# Method: projects.locations.volumes.establishPeering

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#body.aspect)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1beta1/projects.locations.volumes/establishPeering#try-it)

Establish volume peering. This is used to establish cluster and svm peerings between the GCNV and OnPrem clusters.

### HTTP request

`POST https://netapp.googleapis.com/v1beta1/{name=projects/*/locations/*/volumes/*}:establishPeering`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The volume resource name, in the format `projects/{projectId}/locations/{location}/volumes/{volumeId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "peerClusterName": string, "peerSvmName": string, "peerIpAddresses": [ string ], "peerVolumeName": string } ``` |

| Fields ||
|---|---|
| `peerClusterName` | `string` Required. Name of the user's local source cluster to be peered with the destination cluster. |
| `peerSvmName` | `string` Required. Name of the user's local source vserver svm to be peered with the destination vserver svm. |
| `peerIpAddresses[]` | `string` Optional. List of IPv4 ip addresses to be used for peering. |
| `peerVolumeName` | `string` Required. Name of the user's local source volume to be peered with the destination volume. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).